Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jta.platform.internal
Class WebSphereJtaPlatform

    java.lang.Object
      org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
          org.hibernate.service.jta.platform.internal.WebSphereJtaPlatform

All Implemented Interfaces:
  Serializable, TransactionManagerAccess, JtaPlatform, Service, Configurable, ServiceRegistryAwareService

    public class WebSphereJtaPlatform

extends AbstractJtaPlatform

JTA platform implementation for WebSphere (versions 4, 5.0 and 5.1)

See Also:
  Serialized Form

Field Summary
`static String` | `VERSION_4_UT_NAME`
`static String` | `VERSION_5_UT_NAME`

Constructor Summary
`WebSphereJtaPlatform()`

Method Summary
`protected TransactionManager` | `locateTransactionManager()`
`protected UserTransaction` | `locateUserTransaction()`

Methods inherited from class org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
`canCacheTransactionManager, canCacheUserTransaction, canRegisterSynchronization, configure, getCurrentStatus, getSynchronizationStrategy, getTransactionIdentifier, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_5_UT_NAME

    public static final String VERSION_5_UT_NAME

See Also:
  Constant Field Values

### VERSION_4_UT_NAME

    public static final String VERSION_4_UT_NAME

See Also:
  Constant Field Values

Constructor Detail

### WebSphereJtaPlatform

    public WebSphereJtaPlatform()

Method Detail

### locateTransactionManager

    protected TransactionManager locateTransactionManager()

  Specified by:
    `locateTransactionManager` in class `AbstractJtaPlatform`

### locateUserTransaction

    protected UserTransaction locateUserTransaction()

  Specified by:
    `locateUserTransaction` in class `AbstractJtaPlatform`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.